- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_NandObj Struct Reference
NAND Data Structures

This object contains the reference to the instance of nand device. More...

`#include <csl_nand.h>`

## Data Fields
CSL_EmifRegsOvly | regs
CSL_SysRegsOvly | sysCtrlRegs
Uint16 | instId
CSL_NandWidth | nandWidth
Int | intrNumNand
CSL_NandAsyncBank | bank
CSL_NandPageSize | nandPageSize
Uint16 | addrCycles
CSL_NandOpMode | nandOpMode
CSL_NandType | nandType
CSL_NandChipSelect | chipSelect
Uint8 | waitPin

## Detailed Description

This object contains the reference to the instance of nand device.

This object is initialized during nand initialization and passed as the parameter to all nand CSL APIs

## Field Documentation

Uint16 CSL_NandObj::addrCycles

NAND Address cycles for setting page/block address

CSL_NandAsyncBank CSL_NandObj::bank

Current NAND Asynchronous bank

Referenced by NAND_isStatusWriteProtected(), NAND_sendCommand(), NAND_setAddress(), and NAND_setLatchEnableOffset().

CSL_NandChipSelect CSL_NandObj::chipSelect

Nand chip select Id

Referenced by NAND_setup().

Uint16 CSL_NandObj::instId

Instance Id of NAND on the SoC.

Referenced by NAND_init().

Int CSL_NandObj::intrNumNand

Interrupt number of NAND

CSL_NandOpMode CSL_NandObj::nandOpMode

NAND Operating mode

Referenced by NAND_getSetup(), and NAND_setup().

CSL_NandPageSize CSL_NandObj::nandPageSize

NAND page Size

Referenced by NAND_getSetup(), and NAND_setup().

CSL_NandType CSL_NandObj::nandType

Type of the nand device

Referenced by NAND_getSetup(), NAND_isStatusWriteProtected(), and NAND_setup().

CSL_NandWidth CSL_NandObj::nandWidth

Width of NAND (8 or 16 bit)

Referenced by NAND_disableHwECC(), NAND_enableHwECC(), NAND_getSetup(), NAND_readECC(), NAND_setAddress(), and NAND_setup().

CSL_EmifRegsOvly CSL_NandObj::regs

EMIF register overlay structure

Referenced by NAND_checkCommandStatus(), NAND_disableHwECC(), NAND_enableHwECC(), NAND_getSetup(), NAND_init(), NAND_intrClear(), NAND_intrDisable(), NAND_intrEnable(), NAND_intrReadAT(), NAND_intrReadLT(), NAND_intrReadWR(), NAND_readECC(), and NAND_setup().

CSL_SysRegsOvly CSL_NandObj::sysCtrlRegs

CPU system control register overlay structure

Referenced by NAND_disableHwECC(), NAND_enableHwECC(), NAND_getSetup(), NAND_init(), and NAND_setup().

Uint8 CSL_NandObj::waitPin

Wait pin selected for NAND

Referenced by NAND_checkCommandStatus(), and NAND_setup().

The documentation for this struct was generated from the following file:

- csl_nand.h